@ECHO OFF & PUSHD "%CD%"&& CD /D "%~dp0"
>NUL 2>&1 REG.exe query "HKU\S-1-5-19" || (
    ECHO SET UAC = CreateObject^("Shell.Application"^) > "%TEMP%\Getadmin.vbs"
    ECHO UAC.ShellExecute "%~f0", "%1", "", "runas", 1 >> "%TEMP%\Getadmin.vbs"
    "%TEMP%\Getadmin.vbs"
    DEL /f /q "%TEMP%\Getadmin.vbs" 2>NUL
    Exit /b
)

rmdir/s/q "%temp%\KWMUSIC" 2>NUL
del/f/s/q "%temp%\kuwo*" >NUL 2>NUL
del/f/s/q "%temp%\KwBindApp*" >NUL 2>NUL

rmdir/s/q "%ProgramData%\Kuwodata" 2>NUL
rmdir/s/q "%AllUsersProfile%\Application Data\Kuwodata" 2>NUL
reg delete "HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Run" /f /v "kwmusic" >NUL 2>NUL
reg delete "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Run" /f /v "kwmusic" >NUL 2>NUL
reg delete "HKLM\SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\Run" /f /v "kwmusic" >NUL 2>NUL

:: 这里是去好的音乐工具界面的配置文件：去除了今日看点、酷我秀场、VIP服务；
if exist "%Public%" md "%ProgramData%\Kuwodata\kwmusic2013\ModuleData\ModMusicTool" 2>NUL
if exist "%Public%" echo f|copy /y "Bin\Data\conf.txt" "%ProgramData%\Kuwodata\kwmusic2013\ModuleData\ModMusicTool" >NUL 2>NUL
if not exist "%Public%" md "%AllUsersProfile%\Application Data\kuwodata\kwmusic2013\ModuleData\ModMusicTool" 2>NUL
if not exist "%Public%" echo f|copy /y "Bin\Data\conf.txt" "%AllUsersProfile%\Application Data\kuwodata\kwmusic2013\ModuleData\ModMusicTool"  >NUL 2>NUL
if exist "%Public%" Attrib +r "%ProgramData%\kuwodata\kwmusic2013\ModuleData\ModMusicTool\conf.txt" >NUL 2>NUL
if not exist "%Public%" Attrib +r "%AllUsersProfile%\Application Data\kuwodata\kwmusic2013\ModuleData\ModMusicTool\conf.txt" >NUL 2>NUL

mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\酷我音乐.lnk""):b.TargetPath=""%~dp0KwMusic.exe"":b.WorkingDirectory=""%~dp0\"":b.Save:close")

CLS && ECHO.&ECHO 完成！
ECHO.&ECHO.创建听歌识曲快捷方式到桌面？
ECHO.&ECHO.是敲下任意键；否关闭窗口呗！&&PAUSE >NUL 2>NUL

mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\听歌识曲.lnk""):b.TargetPath=""%~dp0bin\KwKnowSong.exe"":b.WorkingDirectory=""%~dp0\"":b.Save:close")

CLS & ECHO.&ECHO 完成！&PAUSE >NUL 2>NUL